<?php
namespace Portrino\PxShopware\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Andre Wuttig <wuttig@portrino.de>, portrino GmbH
 *      2018 Axel Boeswetter <boeswetter@portrino.de>, portrino GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Persistence\ObjectStorage;

/**
 * Class ArticleController
 *
 * @package Portrino\PxShopware\Controller
 */
class ArticleController extends AbstractController
{

    /**
     * @var \Portrino\PxShopware\Service\Shopware\ArticleClientInterface
     * @inject
     */
    protected $shopwareClient;

    /**
     * @return void
     */
    public function listByCategoriesAction()
    {
        $categoryIdList = isset($this->settings['categories']) ?
            GeneralUtility::trimExplode(',', $this->settings['categories']) :
            [];
        $filter = [];
        $items = new ObjectStorage();

        if (is_array($categoryIdList)) {
            foreach ($categoryIdList as $categoryId) {
                $filter[] = [
                    'property' => 'categories.id',
                    'value' => $categoryId
                ];
            }
            $articles = $this->shopwareClient->findByParams($filter, false);
            foreach ($articles as $article) {
                $items->attach($article);
            }
        }

        $this->view->assign('items', $items);
    }
}
