<?php
namespace Portrino\PxShopware\Service\Shopware;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Andre Wuttig <wuttig@portrino.de>, portrino GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/
use TYPO3\CMS\Core\SingletonInterface;

/**
 * Class LocaleMappingService
 *
 * @package Portrino\PxShopware\Service\Shopware
 */
class LocaleMappingService implements SingletonInterface
{

    /**
     * Export to PHP Array plugin for PHPMyAdmin
     * @version 0.2b
     *
     * @var array
     */
    protected $s_core_locales = [
        ['id' => '1', 'locale' => 'de_DE', 'language' => 'Deutsch', 'territory' => 'Deutschland'],
        ['id' => '2', 'locale' => 'en_GB', 'language' => 'Englisch', 'territory' => 'Vereinigtes Königreich'],
        ['id' => '3', 'locale' => 'aa_DJ', 'language' => 'Afar', 'territory' => 'Dschibuti'],
        ['id' => '4', 'locale' => 'aa_ER', 'language' => 'Afar', 'territory' => 'Eritrea'],
        ['id' => '5', 'locale' => 'aa_ET', 'language' => 'Afar', 'territory' => 'Äthiopien'],
        ['id' => '6', 'locale' => 'af_NA', 'language' => 'Afrikaans', 'territory' => 'Namibia'],
        ['id' => '7', 'locale' => 'af_ZA', 'language' => 'Afrikaans', 'territory' => 'Südafrika'],
        ['id' => '8', 'locale' => 'ak_GH', 'language' => 'Akan', 'territory' => 'Ghana'],
        ['id' => '9', 'locale' => 'am_ET', 'language' => 'Amharisch', 'territory' => 'Äthiopien'],
        ['id' => '10', 'locale' => 'ar_AE', 'language' => 'Arabisch','territory' => 'Vereinigte Arabische Emirate'],
        ['id' => '11', 'locale' => 'ar_BH', 'language' => 'Arabisch', 'territory' => 'Bahrain'],
        ['id' => '12', 'locale' => 'ar_DZ', 'language' => 'Arabisch', 'territory' => 'Algerien'],
        ['id' => '13', 'locale' => 'ar_EG', 'language' => 'Arabisch', 'territory' => 'Ägypten'],
        ['id' => '14', 'locale' => 'ar_IQ', 'language' => 'Arabisch', 'territory' => 'Irak'],
        ['id' => '15', 'locale' => 'ar_JO', 'language' => 'Arabisch', 'territory' => 'Jordanien'],
        ['id' => '16', 'locale' => 'ar_KW', 'language' => 'Arabisch', 'territory' => 'Kuwait'],
        ['id' => '17', 'locale' => 'ar_LB', 'language' => 'Arabisch', 'territory' => 'Libanon'],
        ['id' => '18', 'locale' => 'ar_LY', 'language' => 'Arabisch', 'territory' => 'Libyen'],
        ['id' => '19', 'locale' => 'ar_MA', 'language' => 'Arabisch', 'territory' => 'Marokko'],
        ['id' => '20', 'locale' => 'ar_OM', 'language' => 'Arabisch', 'territory' => 'Oman'],
        ['id' => '21', 'locale' => 'ar_QA', 'language' => 'Arabisch', 'territory' => 'Katar'],
        ['id' => '22', 'locale' => 'ar_SA', 'language' => 'Arabisch', 'territory' => 'Saudi-Arabien'],
        ['id' => '23', 'locale' => 'ar_SD', 'language' => 'Arabisch', 'territory' => 'Sudan'],
        ['id' => '24', 'locale' => 'ar_SY', 'language' => 'Arabisch', 'territory' => 'Syrien'],
        ['id' => '25', 'locale' => 'ar_TN', 'language' => 'Arabisch', 'territory' => 'Tunesien'],
        ['id' => '26', 'locale' => 'ar_YE', 'language' => 'Arabisch', 'territory' => 'Jemen'],
        ['id' => '27', 'locale' => 'as_IN', 'language' => 'Assamesisch', 'territory' => 'Indien'],
        ['id' => '28', 'locale' => 'az_AZ', 'language' => 'Aserbaidschanisch', 'territory' => 'Aserbaidschan'],
        ['id' => '29', 'locale' => 'be_BY', 'language' => 'Weißrussisch', 'territory' => 'Belarus'],
        ['id' => '30', 'locale' => 'bg_BG', 'language' => 'Bulgarisch', 'territory' => 'Bulgarien'],
        ['id' => '31', 'locale' => 'bn_BD', 'language' => 'Bengalisch', 'territory' => 'Bangladesch'],
        ['id' => '32', 'locale' => 'bn_IN', 'language' => 'Bengalisch', 'territory' => 'Indien'],
        ['id' => '33', 'locale' => 'bo_CN', 'language' => 'Tibetisch', 'territory' => 'China'],
        ['id' => '34', 'locale' => 'bo_IN', 'language' => 'Tibetisch', 'territory' => 'Indien'],
        ['id' => '35', 'locale' => 'bs_BA', 'language' => 'Bosnisch', 'territory' => 'Bosnien und Herzegowina'],
        ['id' => '36', 'locale' => 'byn_ER', 'language' => 'Blin', 'territory' => 'Eritrea'],
        ['id' => '37', 'locale' => 'ca_ES', 'language' => 'Katalanisch', 'territory' => 'Spanien'],
        ['id' => '38', 'locale' => 'cch_NG', 'language' => 'Atsam', 'territory' => 'Nigeria'],
        ['id' => '39', 'locale' => 'cs_CZ', 'language' => 'Tschechisch', 'territory' => 'Tschechische Republik'],
        ['id' => '40', 'locale' => 'cy_GB', 'language' => 'Walisisch', 'territory' => 'Vereinigtes Königreich'],
        ['id' => '41', 'locale' => 'da_DK', 'language' => 'Dänisch', 'territory' => 'Dänemark'],
        ['id' => '42', 'locale' => 'de_AT', 'language' => 'Deutsch', 'territory' => 'Österreich'],
        ['id' => '43', 'locale' => 'de_BE', 'language' => 'Deutsch', 'territory' => 'Belgien'],
        ['id' => '44', 'locale' => 'de_CH', 'language' => 'Deutsch', 'territory' => 'Schweiz'],
        ['id' => '45', 'locale' => 'de_LI', 'language' => 'Deutsch', 'territory' => 'Liechtenstein'],
        ['id' => '46', 'locale' => 'de_LU', 'language' => 'Deutsch', 'territory' => 'Luxemburg'],
        ['id' => '47', 'locale' => 'dv_MV', 'language' => 'Maledivisch', 'territory' => 'Malediven'],
        ['id' => '48', 'locale' => 'dz_BT', 'language' => 'Bhutanisch', 'territory' => 'Bhutan'],
        ['id' => '49', 'locale' => 'ee_GH', 'language' => 'Ewe-Sprache', 'territory' => 'Ghana'],
        ['id' => '50', 'locale' => 'ee_TG', 'language' => 'Ewe-Sprache', 'territory' => 'Togo'],
        ['id' => '51', 'locale' => 'el_CY', 'language' => 'Griechisch', 'territory' => 'Zypern'],
        ['id' => '52', 'locale' => 'el_GR', 'language' => 'Griechisch', 'territory' => 'Griechenland'],
        ['id' => '53', 'locale' => 'en_AS', 'language' => 'Englisch', 'territory' => 'Amerikanisch-Samoa'],
        ['id' => '54', 'locale' => 'en_AU', 'language' => 'Englisch', 'territory' => 'Australien'],
        ['id' => '55', 'locale' => 'en_BE', 'language' => 'Englisch', 'territory' => 'Belgien'],
        ['id' => '56', 'locale' => 'en_BW', 'language' => 'Englisch', 'territory' => 'Botsuana'],
        ['id' => '57', 'locale' => 'en_BZ', 'language' => 'Englisch', 'territory' => 'Belize'],
        ['id' => '58', 'locale' => 'en_CA', 'language' => 'Englisch', 'territory' => 'Kanada'],
        ['id' => '59', 'locale' => 'en_GU', 'language' => 'Englisch', 'territory' => 'Guam'],
        ['id' => '60', 'locale' => 'en_HK', 'language' => 'Englisch', 'territory' => 'Sonderverwaltungszone Hongkong'],
        ['id' => '61', 'locale' => 'en_IE', 'language' => 'Englisch', 'territory' => 'Irland'],
        ['id' => '62', 'locale' => 'en_IN', 'language' => 'Englisch', 'territory' => 'Indien'],
        ['id' => '63', 'locale' => 'en_JM', 'language' => 'Englisch', 'territory' => 'Jamaika'],
        ['id' => '64', 'locale' => 'en_MH', 'language' => 'Englisch', 'territory' => 'Marshallinseln'],
        ['id' => '65', 'locale' => 'en_MP', 'language' => 'Englisch', 'territory' => 'Nördliche Marianen'],
        ['id' => '66', 'locale' => 'en_MT', 'language' => 'Englisch', 'territory' => 'Malta'],
        ['id' => '67', 'locale' => 'en_NA', 'language' => 'Englisch', 'territory' => 'Namibia'],
        ['id' => '68', 'locale' => 'en_NZ', 'language' => 'Englisch', 'territory' => 'Neuseeland'],
        ['id' => '69', 'locale' => 'en_PH', 'language' => 'Englisch', 'territory' => 'Philippinen'],
        ['id' => '70', 'locale' => 'en_PK', 'language' => 'Englisch', 'territory' => 'Pakistan'],
        ['id' => '71', 'locale' => 'en_SG', 'language' => 'Englisch', 'territory' => 'Singapur'],
        ['id' => '72', 'locale' => 'en_TT', 'language' => 'Englisch', 'territory' => 'Trinidad und Tobago'],
        ['id' => '73', 'locale' => 'en_UM', 'language' => 'Englisch', 'territory' => 'Amerikanisch-Ozeanien'],
        ['id' => '74', 'locale' => 'en_US', 'language' => 'Englisch', 'territory' => 'Vereinigte Staaten'],
        ['id' => '75', 'locale' => 'en_VI', 'language' => 'Englisch', 'territory' => 'Amerikanische Jungferninseln'],
        ['id' => '76', 'locale' => 'en_ZA', 'language' => 'Englisch', 'territory' => 'Südafrika'],
        ['id' => '77', 'locale' => 'en_ZW', 'language' => 'Englisch', 'territory' => 'Simbabwe'],
        ['id' => '78', 'locale' => 'es_AR', 'language' => 'Spanisch', 'territory' => 'Argentinien'],
        ['id' => '79', 'locale' => 'es_BO', 'language' => 'Spanisch', 'territory' => 'Bolivien'],
        ['id' => '80', 'locale' => 'es_CL', 'language' => 'Spanisch', 'territory' => 'Chile'],
        ['id' => '81', 'locale' => 'es_CO', 'language' => 'Spanisch', 'territory' => 'Kolumbien'],
        ['id' => '82', 'locale' => 'es_CR', 'language' => 'Spanisch', 'territory' => 'Costa Rica'],
        ['id' => '83', 'locale' => 'es_DO', 'language' => 'Spanisch', 'territory' => 'Dominikanische Republik'],
        ['id' => '84', 'locale' => 'es_EC', 'language' => 'Spanisch', 'territory' => 'Ecuador'],
        ['id' => '85', 'locale' => 'es_ES', 'language' => 'Spanisch', 'territory' => 'Spanien'],
        ['id' => '86', 'locale' => 'es_GT', 'language' => 'Spanisch', 'territory' => 'Guatemala'],
        ['id' => '87', 'locale' => 'es_HN', 'language' => 'Spanisch', 'territory' => 'Honduras'],
        ['id' => '88', 'locale' => 'es_MX', 'language' => 'Spanisch', 'territory' => 'Mexiko'],
        ['id' => '89', 'locale' => 'es_NI', 'language' => 'Spanisch', 'territory' => 'Nicaragua'],
        ['id' => '90', 'locale' => 'es_PA', 'language' => 'Spanisch', 'territory' => 'Panama'],
        ['id' => '91', 'locale' => 'es_PE', 'language' => 'Spanisch', 'territory' => 'Peru'],
        ['id' => '92', 'locale' => 'es_PR', 'language' => 'Spanisch', 'territory' => 'Puerto Rico'],
        ['id' => '93', 'locale' => 'es_PY', 'language' => 'Spanisch', 'territory' => 'Paraguay'],
        ['id' => '94', 'locale' => 'es_SV', 'language' => 'Spanisch', 'territory' => 'El Salvador'],
        ['id' => '95', 'locale' => 'es_US', 'language' => 'Spanisch', 'territory' => 'Vereinigte Staaten'],
        ['id' => '96', 'locale' => 'es_UY', 'language' => 'Spanisch', 'territory' => 'Uruguay'],
        ['id' => '97', 'locale' => 'es_VE', 'language' => 'Spanisch', 'territory' => 'Venezuela'],
        ['id' => '98', 'locale' => 'et_EE', 'language' => 'Estnisch', 'territory' => 'Estland'],
        ['id' => '99', 'locale' => 'eu_ES', 'language' => 'Baskisch', 'territory' => 'Spanien'],
        ['id' => '100', 'locale' => 'fa_AF', 'language' => 'Persisch', 'territory' => 'Afghanistan'],
        ['id' => '101', 'locale' => 'fa_IR', 'language' => 'Persisch', 'territory' => 'Iran'],
        ['id' => '102', 'locale' => 'fi_FI', 'language' => 'Finnisch', 'territory' => 'Finnland'],
        ['id' => '103', 'locale' => 'fil_PH', 'language' => 'Filipino', 'territory' => 'Philippinen'],
        ['id' => '104', 'locale' => 'fo_FO', 'language' => 'Färöisch', 'territory' => 'Färöer'],
        ['id' => '105', 'locale' => 'fr_BE', 'language' => 'Französisch', 'territory' => 'Belgien'],
        ['id' => '106', 'locale' => 'fr_CA', 'language' => 'Französisch', 'territory' => 'Kanada'],
        ['id' => '107', 'locale' => 'fr_CH', 'language' => 'Französisch', 'territory' => 'Schweiz'],
        ['id' => '108', 'locale' => 'fr_FR', 'language' => 'Französisch', 'territory' => 'Frankreich'],
        ['id' => '109', 'locale' => 'fr_LU', 'language' => 'Französisch', 'territory' => 'Luxemburg'],
        ['id' => '110', 'locale' => 'fr_MC', 'language' => 'Französisch', 'territory' => 'Monaco'],
        ['id' => '111', 'locale' => 'fr_SN', 'language' => 'Französisch', 'territory' => 'Senegal'],
        ['id' => '112', 'locale' => 'fur_IT', 'language' => 'Friulisch', 'territory' => 'Italien'],
        ['id' => '113', 'locale' => 'ga_IE', 'language' => 'Irisch', 'territory' => 'Irland'],
        ['id' => '114', 'locale' => 'gaa_GH', 'language' => 'Ga-Sprache', 'territory' => 'Ghana'],
        ['id' => '115', 'locale' => 'gez_ER', 'language' => 'Geez', 'territory' => 'Eritrea'],
        ['id' => '116', 'locale' => 'gez_ET', 'language' => 'Geez', 'territory' => 'Äthiopien'],
        ['id' => '117', 'locale' => 'gl_ES', 'language' => 'Galizisch', 'territory' => 'Spanien'],
        ['id' => '118', 'locale' => 'gsw_CH', 'language' => 'Schweizerdeutsch', 'territory' => 'Schweiz'],
        ['id' => '119', 'locale' => 'gu_IN', 'language' => 'Gujarati', 'territory' => 'Indien'],
        ['id' => '120', 'locale' => 'gv_GB', 'language' => 'Manx', 'territory' => 'Vereinigtes Königreich'],
        ['id' => '121', 'locale' => 'ha_GH', 'language' => 'Hausa', 'territory' => 'Ghana'],
        ['id' => '122', 'locale' => 'ha_NE', 'language' => 'Hausa', 'territory' => 'Niger'],
        ['id' => '123', 'locale' => 'ha_NG', 'language' => 'Hausa', 'territory' => 'Nigeria'],
        ['id' => '124', 'locale' => 'ha_SD', 'language' => 'Hausa', 'territory' => 'Sudan'],
        ['id' => '125', 'locale' => 'haw_US', 'language' => 'Hawaiisch', 'territory' => 'Vereinigte Staaten'],
        ['id' => '126', 'locale' => 'he_IL', 'language' => 'Hebräisch', 'territory' => 'Israel'],
        ['id' => '127', 'locale' => 'hi_IN', 'language' => 'Hindi', 'territory' => 'Indien'],
        ['id' => '128', 'locale' => 'hr_HR', 'language' => 'Kroatisch', 'territory' => 'Kroatien'],
        ['id' => '129', 'locale' => 'hu_HU', 'language' => 'Ungarisch', 'territory' => 'Ungarn'],
        ['id' => '130', 'locale' => 'hy_AM', 'language' => 'Armenisch', 'territory' => 'Armenien'],
        ['id' => '131', 'locale' => 'id_ID', 'language' => 'Indonesisch', 'territory' => 'Indonesien'],
        ['id' => '132', 'locale' => 'ig_NG', 'language' => 'Igbo-Sprache', 'territory' => 'Nigeria'],
        ['id' => '133', 'locale' => 'ii_CN', 'language' => 'Sichuan Yi', 'territory' => 'China'],
        ['id' => '134', 'locale' => 'is_IS', 'language' => 'Isländisch', 'territory' => 'Island'],
        ['id' => '135', 'locale' => 'it_CH', 'language' => 'Italienisch', 'territory' => 'Schweiz'],
        ['id' => '136', 'locale' => 'it_IT', 'language' => 'Italienisch', 'territory' => 'Italien'],
        ['id' => '137', 'locale' => 'ja_JP', 'language' => 'Japanisch', 'territory' => 'Japan'],
        ['id' => '138', 'locale' => 'ka_GE', 'language' => 'Georgisch', 'territory' => 'Georgien'],
        ['id' => '139', 'locale' => 'kaj_NG', 'language' => 'Jju', 'territory' => 'Nigeria'],
        ['id' => '140', 'locale' => 'kam_KE', 'language' => 'Kamba', 'territory' => 'Kenia'],
        ['id' => '141', 'locale' => 'kcg_NG', 'language' => 'Tyap', 'territory' => 'Nigeria'],
        ['id' => '142', 'locale' => 'kfo_CI', 'language' => 'Koro', 'territory' => 'Côte d?Ivoire'],
        ['id' => '143', 'locale' => 'kk_KZ', 'language' => 'Kasachisch', 'territory' => 'Kasachstan'],
        ['id' => '144', 'locale' => 'kl_GL', 'language' => 'Grönländisch', 'territory' => 'Grönland'],
        ['id' => '145', 'locale' => 'km_KH', 'language' => 'Kambodschanisch', 'territory' => 'Kambodscha'],
        ['id' => '146', 'locale' => 'kn_IN', 'language' => 'Kannada', 'territory' => 'Indien'],
        ['id' => '147', 'locale' => 'ko_KR', 'language' => 'Koreanisch', 'territory' => 'Republik Korea'],
        ['id' => '148', 'locale' => 'kok_IN', 'language' => 'Konkani', 'territory' => 'Indien'],
        ['id' => '149', 'locale' => 'kpe_GN', 'language' => 'Kpelle-Sprache', 'territory' => 'Guinea'],
        ['id' => '150', 'locale' => 'kpe_LR', 'language' => 'Kpelle-Sprache', 'territory' => 'Liberia'],
        ['id' => '151', 'locale' => 'ku_IQ', 'language' => 'Kurdisch', 'territory' => 'Irak'],
        ['id' => '152', 'locale' => 'ku_IR', 'language' => 'Kurdisch', 'territory' => 'Iran'],
        ['id' => '153', 'locale' => 'ku_SY', 'language' => 'Kurdisch', 'territory' => 'Syrien'],
        ['id' => '154', 'locale' => 'ku_TR', 'language' => 'Kurdisch', 'territory' => 'Türkei'],
        ['id' => '155', 'locale' => 'kw_GB', 'language' => 'Kornisch', 'territory' => 'Vereinigtes Königreich'],
        ['id' => '156', 'locale' => 'ky_KG', 'language' => 'Kirgisisch', 'territory' => 'Kirgisistan'],
        ['id' => '157', 'locale' => 'ln_CD', 'language' => 'Lingala', 'territory' => 'Demokratische Republik Kongo'],
        ['id' => '158', 'locale' => 'ln_CG', 'language' => 'Lingala', 'territory' => 'Kongo'],
        ['id' => '159', 'locale' => 'lo_LA', 'language' => 'Laotisch', 'territory' => 'Laos'],
        ['id' => '160', 'locale' => 'lt_LT', 'language' => 'Litauisch', 'territory' => 'Litauen'],
        ['id' => '161', 'locale' => 'lv_LV', 'language' => 'Lettisch', 'territory' => 'Lettland'],
        ['id' => '162', 'locale' => 'mk_MK', 'language' => 'Mazedonisch', 'territory' => 'Mazedonien'],
        ['id' => '163', 'locale' => 'ml_IN', 'language' => 'Malayalam', 'territory' => 'Indien'],
        ['id' => '164', 'locale' => 'mn_CN', 'language' => 'Mongolisch', 'territory' => 'China'],
        ['id' => '165', 'locale' => 'mn_MN', 'language' => 'Mongolisch', 'territory' => 'Mongolei'],
        ['id' => '166', 'locale' => 'mr_IN', 'language' => 'Marathi', 'territory' => 'Indien'],
        ['id' => '167', 'locale' => 'ms_BN', 'language' => 'Malaiisch', 'territory' => 'Brunei Darussalam'],
        ['id' => '168', 'locale' => 'ms_MY', 'language' => 'Malaiisch', 'territory' => 'Malaysia'],
        ['id' => '169', 'locale' => 'mt_MT', 'language' => 'Maltesisch', 'territory' => 'Malta'],
        ['id' => '170', 'locale' => 'my_MM', 'language' => 'Birmanisch', 'territory' => 'Myanmar'],
        ['id' => '171', 'locale' => 'nb_NO', 'language' => 'Norwegisch Bokmål', 'territory' => 'Norwegen'],
        ['id' => '172', 'locale' => 'nds_DE', 'language' => 'Niederdeutsch', 'territory' => 'Deutschland'],
        ['id' => '173', 'locale' => 'ne_IN', 'language' => 'Nepalesisch', 'territory' => 'Indien'],
        ['id' => '174', 'locale' => 'ne_NP', 'language' => 'Nepalesisch', 'territory' => 'Nepal'],
        ['id' => '175', 'locale' => 'nl_BE', 'language' => 'Niederländisch', 'territory' => 'Belgien'],
        ['id' => '176', 'locale' => 'nl_NL', 'language' => 'Niederländisch', 'territory' => 'Niederlande'],
        ['id' => '177', 'locale' => 'nn_NO', 'language' => 'Norwegisch Nynorsk', 'territory' => 'Norwegen'],
        ['id' => '178', 'locale' => 'nr_ZA', 'language' => 'Süd-Ndebele-Sprache', 'territory' => 'Südafrika'],
        ['id' => '179', 'locale' => 'nso_ZA', 'language' => 'Nord-Sotho-Sprache', 'territory' => 'Südafrika'],
        ['id' => '180', 'locale' => 'ny_MW', 'language' => 'Nyanja-Sprache', 'territory' => 'Malawi'],
        ['id' => '181', 'locale' => 'oc_FR', 'language' => 'Okzitanisch', 'territory' => 'Frankreich'],
        ['id' => '182', 'locale' => 'om_ET', 'language' => 'Oromo', 'territory' => 'Äthiopien'],
        ['id' => '183', 'locale' => 'om_KE', 'language' => 'Oromo', 'territory' => 'Kenia'],
        ['id' => '184', 'locale' => 'or_IN', 'language' => 'Orija', 'territory' => 'Indien'],
        ['id' => '185', 'locale' => 'pa_IN', 'language' => 'Pandschabisch', 'territory' => 'Indien'],
        ['id' => '186', 'locale' => 'pa_PK', 'language' => 'Pandschabisch', 'territory' => 'Pakistan'],
        ['id' => '187', 'locale' => 'pl_PL', 'language' => 'Polnisch', 'territory' => 'Polen'],
        ['id' => '188', 'locale' => 'ps_AF', 'language' => 'Paschtu', 'territory' => 'Afghanistan'],
        ['id' => '189', 'locale' => 'pt_BR', 'language' => 'Portugiesisch', 'territory' => 'Brasilien'],
        ['id' => '190', 'locale' => 'pt_PT', 'language' => 'Portugiesisch', 'territory' => 'Portugal'],
        ['id' => '191', 'locale' => 'ro_MD', 'language' => 'Rumänisch', 'territory' => 'Republik Moldau'],
        ['id' => '192', 'locale' => 'ro_RO', 'language' => 'Rumänisch', 'territory' => 'Rumänien'],
        ['id' => '193', 'locale' => 'ru_RU', 'language' => 'Russisch', 'territory' => 'Russische Föderation'],
        ['id' => '194', 'locale' => 'ru_UA', 'language' => 'Russisch', 'territory' => 'Ukraine'],
        ['id' => '195', 'locale' => 'rw_RW', 'language' => 'Ruandisch', 'territory' => 'Ruanda'],
        ['id' => '196', 'locale' => 'sa_IN', 'language' => 'Sanskrit', 'territory' => 'Indien'],
        ['id' => '197', 'locale' => 'se_FI', 'language' => 'Nord-Samisch', 'territory' => 'Finnland'],
        ['id' => '198', 'locale' => 'se_NO', 'language' => 'Nord-Samisch', 'territory' => 'Norwegen'],
        ['id' => '199', 'locale' => 'sh_BA', 'language' => 'Serbo-Kroatisch', 'territory' => 'Bosnien und Herzegowina'],
        ['id' => '200', 'locale' => 'sh_CS', 'language' => 'Serbo-Kroatisch', 'territory' => 'Serbien und Montenegro'],
        ['id' => '201', 'locale' => 'sh_YU', 'language' => 'Serbo-Kroatisch', 'territory' => ''],
        ['id' => '202', 'locale' => 'si_LK', 'language' => 'Singhalesisch', 'territory' => 'Sri Lanka'],
        ['id' => '203', 'locale' => 'sid_ET', 'language' => 'Sidamo', 'territory' => 'Äthiopien'],
        ['id' => '204', 'locale' => 'sk_SK', 'language' => 'Slowakisch', 'territory' => 'Slowakei'],
        ['id' => '205', 'locale' => 'sl_SI', 'language' => 'Slowenisch', 'territory' => 'Slowenien'],
        ['id' => '206', 'locale' => 'so_DJ', 'language' => 'Somali', 'territory' => 'Dschibuti'],
        ['id' => '207', 'locale' => 'so_ET', 'language' => 'Somali', 'territory' => 'Äthiopien'],
        ['id' => '208', 'locale' => 'so_KE', 'language' => 'Somali', 'territory' => 'Kenia'],
        ['id' => '209', 'locale' => 'so_SO', 'language' => 'Somali', 'territory' => 'Somalia'],
        ['id' => '210', 'locale' => 'sq_AL', 'language' => 'Albanisch', 'territory' => 'Albanien'],
        ['id' => '211', 'locale' => 'sr_BA', 'language' => 'Serbisch', 'territory' => 'Bosnien und Herzegowina'],
        ['id' => '212', 'locale' => 'sr_CS', 'language' => 'Serbisch', 'territory' => 'Serbien und Montenegro'],
        ['id' => '213', 'locale' => 'sr_ME', 'language' => 'Serbisch', 'territory' => 'Montenegro'],
        ['id' => '214', 'locale' => 'sr_RS', 'language' => 'Serbisch', 'territory' => 'Serbien'],
        ['id' => '215', 'locale' => 'sr_YU', 'language' => 'Serbisch', 'territory' => ''],
        ['id' => '216', 'locale' => 'ss_SZ', 'language' => 'Swazi', 'territory' => 'Swasiland'],
        ['id' => '217', 'locale' => 'ss_ZA', 'language' => 'Swazi', 'territory' => 'Südafrika'],
        ['id' => '218', 'locale' => 'st_LS', 'language' => 'Süd-Sotho-Sprache', 'territory' => 'Lesotho'],
        ['id' => '219', 'locale' => 'st_ZA', 'language' => 'Süd-Sotho-Sprache', 'territory' => 'Südafrika'],
        ['id' => '220', 'locale' => 'sv_FI', 'language' => 'Schwedisch', 'territory' => 'Finnland'],
        ['id' => '221', 'locale' => 'sv_SE', 'language' => 'Schwedisch', 'territory' => 'Schweden'],
        ['id' => '222', 'locale' => 'sw_KE', 'language' => 'Suaheli', 'territory' => 'Kenia'],
        ['id' => '223', 'locale' => 'sw_TZ', 'language' => 'Suaheli', 'territory' => 'Tansania'],
        ['id' => '224', 'locale' => 'syr_SY', 'language' => 'Syrisch', 'territory' => 'Syrien'],
        ['id' => '225', 'locale' => 'ta_IN', 'language' => 'Tamilisch', 'territory' => 'Indien'],
        ['id' => '226', 'locale' => 'te_IN', 'language' => 'Telugu', 'territory' => 'Indien'],
        ['id' => '227', 'locale' => 'tg_TJ', 'language' => 'Tadschikisch', 'territory' => 'Tadschikistan'],
        ['id' => '228', 'locale' => 'th_TH', 'language' => 'Thailändisch', 'territory' => 'Thailand'],
        ['id' => '229', 'locale' => 'ti_ER', 'language' => 'Tigrinja', 'territory' => 'Eritrea'],
        ['id' => '230', 'locale' => 'ti_ET', 'language' => 'Tigrinja', 'territory' => 'Äthiopien'],
        ['id' => '231', 'locale' => 'tig_ER', 'language' => 'Tigre', 'territory' => 'Eritrea'],
        ['id' => '232', 'locale' => 'tn_ZA', 'language' => 'Tswana-Sprache', 'territory' => 'Südafrika'],
        ['id' => '233', 'locale' => 'to_TO', 'language' => 'Tongaisch', 'territory' => 'Tonga'],
        ['id' => '234', 'locale' => 'tr_TR', 'language' => 'Türkisch', 'territory' => 'Türkei'],
        ['id' => '236', 'locale' => 'ts_ZA', 'language' => 'Tsonga', 'territory' => 'Südafrika'],
        ['id' => '237', 'locale' => 'tt_RU', 'language' => 'Tatarisch', 'territory' => 'Russische Föderation'],
        ['id' => '238', 'locale' => 'ug_CN', 'language' => 'Uigurisch', 'territory' => 'China'],
        ['id' => '239', 'locale' => 'uk_UA', 'language' => 'Ukrainisch', 'territory' => 'Ukraine'],
        ['id' => '240', 'locale' => 'ur_IN', 'language' => 'Urdu', 'territory' => 'Indien'],
        ['id' => '241', 'locale' => 'ur_PK', 'language' => 'Urdu', 'territory' => 'Pakistan'],
        ['id' => '242', 'locale' => 'uz_AF', 'language' => 'Usbekisch', 'territory' => 'Afghanistan'],
        ['id' => '243', 'locale' => 'uz_UZ', 'language' => 'Usbekisch', 'territory' => 'Usbekistan'],
        ['id' => '244', 'locale' => 've_ZA', 'language' => 'Venda-Sprache', 'territory' => 'Südafrika'],
        ['id' => '245', 'locale' => 'vi_VN', 'language' => 'Vietnamesisch', 'territory' => 'Vietnam'],
        ['id' => '246', 'locale' => 'wal_ET', 'language' => 'Walamo-Sprache', 'territory' => 'Äthiopien'],
        ['id' => '247', 'locale' => 'wo_SN', 'language' => 'Wolof', 'territory' => 'Senegal'],
        ['id' => '248', 'locale' => 'xh_ZA', 'language' => 'Xhosa', 'territory' => 'Südafrika'],
        ['id' => '249', 'locale' => 'yo_NG', 'language' => 'Yoruba', 'territory' => 'Nigeria'],
        ['id' => '250', 'locale' => 'zh_CN', 'language' => 'Chinesisch', 'territory' => 'China'],
        ['id' => '251', 'locale' => 'zh_HK', 'language' => 'Chinesisch', 'territory' => 'Sonderverwaltungszone Hongkong'],
        ['id' => '252', 'locale' => 'zh_MO', 'language' => 'Chinesisch', 'territory' => 'Sonderverwaltungszone Macao'],
        ['id' => '253', 'locale' => 'zh_SG', 'language' => 'Chinesisch', 'territory' => 'Singapur'],
        ['id' => '254', 'locale' => 'zh_TW', 'language' => 'Chinesisch', 'territory' => 'Taiwan'],
        ['id' => '255', 'locale' => 'zu_ZA', 'language' => 'Zulu', 'territory' => 'Südafrika']
    ];

    /**
     * @param $locale
     *
     * @return bool
     */
    public function getLanguageId($locale)
    {
        foreach ($this->s_core_locales as $s_core_locale) {
            if ($s_core_locale['locale'] === $locale) {
                return (int)$s_core_locale['id'];
            }
        }
        return 1;
    }

}
